<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.multictrl.modules.job.dao.ScheduleJobDao">

	<!-- 批量更新状态 -->
	<update id="updateBatch">
		update schedule_job set status = #{status} where id in
		<foreach item="id" collection="ids" open="(" separator="," close=")">
			#{id}
		</foreach>
	</update>

	<select id="pageList" resultType="com.multictrl.modules.job.entity.ScheduleJobEntity">
		SELECT s.*, uh.dock_name, ur.route_name
		FROM schedule_job s
				 left join bus_dock uh on s.dock_sn = uh.dock_sn
				 left join bus_route ur on CAST(s.params AS int8) = ur.id
			${ew.customSqlSegment}
	</select>

	<select id="getById" resultType="com.multictrl.modules.job.entity.ScheduleJobEntity">
		SELECT s.*, uh.dock_name, ur.route_name
		FROM schedule_job s
				 left join bus_dock uh on s.dock_sn = uh.dock_sn
				 left join bus_route ur on CAST(s.params AS int8) = ur.id
		where s.id = #{id}
	</select>

</mapper>